Subject: Re: linux-next: manual merge of the char-misc tree with the char-misc.current tree

From: Greg KH <[email-masked]>
Date: Fri, 18 Oct 2019 03:06:26 -0700

On Fri, Oct 18, 2019 at 02:26:16PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the char-misc tree got a conflict in:
> 
>   drivers/android/binder.c
> 
> between commit:
> 
>   45d02f79b539 ("binder: Don't modify VMA bounds in ->mmap handler")
> 
> from the char-misc.current tree and commit:
> 
>   990be7476485 ("binder: Use common definition of SZ_1K")
> 
> from the char-misc tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/android/binder.c
> index 265d9dd46a5e,bef788058bc3..000000000000
> --- a/drivers/android/binder.c
> +++ b/drivers/android/binder.c
> @@@ -92,11 -93,10 +93,6 @@@ static atomic_t binder_last_id
>   static int proc_show(struct seq_file *m, void *unused);
>   DEFINE_SHOW_ATTRIBUTE(proc);
>   
> - /* This is only defined in include/asm-arm/sizes.h */
> - #ifndef SZ_1K
> - #define SZ_1K                               0x400
>  -#ifndef SZ_4M
>  -#define SZ_4M                               0x400000
> --#endif
> --
>   #define FORBIDDEN_MMAP_FLAGS                (VM_WRITE)
>   
>   enum {

Yeah, sorry about this, I knew it would be a conflict, I'll handle it
when one of these branches gets merged to Linus's tree.

thanks,

greg k-h